Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Destroy Chatroom

Actively destroy one or multiple specified chatrooms.

Request Method

POST: https://Data Center Domain/chatroom/destroy.json

Rate Limit: 100 requests per second

Signature Rule: All server-side API requests require signature verification. For details, refer to API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, supporting the following HTTP form parameters:

ParameterTypeRequiredDescription
chatroomIdStringYesThe ID of the chatroom to be destroyed. Multiple chatrooms can be destroyed at once.

Request Example

POST /chatroom/destroy.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Timestamp: 1408710653491
Nonce: 14314
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

chatroomId=10001&chatroomId=10002

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code, 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}